Welcome to Setup Help

In this help system:

  • Enter your Product Key

  • Read the Microsoft Software License Terms

  • Choose the server type

  • Choose a file location

  • Choose to complete server configuration

  • How to: Start the SharePoint Products Configuration wizard

  • Setup.exe command-line switches for SharePoint Products

  • Configuration failure during removal

  • Change your installation


Choose a file location

The file location indicates the path where the product will be installed. The default path for the file location is %ProgramFiles%\Microsoft Office Servers. If this is an application server that contains index partitions for the search system, you can specify the path at which to store the index files. The default path for the data location is %ProgramFiles%\Microsoft Office Servers\15.0\Data.

Note:

The information in this topic about file location applies to SharePoint Server 2013 and SharePoint Foundation 2013. The file location and path where SharePoint Server 2013 and SharePoint Foundation 2013 are installed is the same.

  • To install to a different path, click Browse next to the first text box, and then select the path.

  • To change the location for the search index files, click Browse next to the second text box, and then select the path.

Note:

If you are upgrading from another SharePoint product, the file locations cannot be changed.


Choose to complete server configuration

Setup completed successfully

The Setup Wizard has just completed the following:

  • Validate software prerequisites.

  • Install necessary files.

  • Install all components and services.

The next required step is to run the SharePoint Products Configuration Wizard. The configuration wizard configures all run-once type activities and configures the services. After the configuration wizard completes, you can begin the SharePoint configuration, including:

  • Configure server role.

  • Enable or disable services.

  • Gather more information for the specific computer role.

  • Perform other necessary configuration.

You can run the configuration wizard at the completion of the Setup Wizard or, if you need to collect more configuration information, you can run the configuration wizard later.

To run the SharePoint Products Configuration Wizard at the completion of the Setup Wizard

  1. Select Run the SharePoint Products Configuration Wizard now, and then click Close. The configuration wizard automatically starts.

To run the configuration wizard later, clear the Run the SharePoint Products Configuration Wizard now check box, and then click Close. When you are ready to run the configuration wizard, complete the procedure in How to: Start the SharePoint Products Configuration wizard.

Setup failed

If an error was encountered, the setup process will not be completed and an error will be noted in the Setup log file. The Setup log file is stored in the temp directory for the user account that is running setup (%USERTEMP% or %WINDIR%\Users\user account\AppData\Local\Temp) and is named "SharePoint Server Setup (YYYYMMDDHHMMSSrandomnumber).log" where YYYYMMDD is the date and HHMMSS is the time (hours in 24-hour clock format, minutes, seconds, and milliseconds) and the random number is used to differentiate between possible simultaneous attempts to run the setup program. You can review the log file for error messages. After you understand why the error occurred, you can address the issue, and then you can run Setup again.

Note:

If you encounter a failure during the removal process, you can find more information in Configuration failure during removal.


Choose the server type

When choosing between Complete and Stand-alone installations, you must consider planning, scalability, data storage, and configuration complexity.

Complete

The Complete option installs a web server and configures the computer to provide application server functionality. It does not provide database functionality. You must provide connectivity and credentials settings to connect to an existing SQL Server instance that can be used as an underlying data store. Although SQL Server can be installed on this same computer, we recommend that you install SQL Server on a separate computer.

You can use the Complete installation option to distribute functionality over one or more computers and preserve your ability to scale up your system.

When you choose the Complete installation, you must install SQL Server 2008 R2 SP1 or the 64 bit edition of SQL Server 2012.

Note:

You can also install SharePoint 2013 Products for a front-end web server rather than Complete, but you must use the command line to do so. For more information about running Setup.exe from the command line, see Setup.exe command-line switches for SharePoint Products.

Stand-alone

A Stand-alone installation configures a single computer with all the necessary files and settings to create a fully functioning SharePoint implementation, including web server, application server, and database. SQL Server 2008 Express R2 SP1 is installed and configured to provide data storage capability. SQL Server Express Edition is based on the SQL Server architecture, but it has the following limitations:

  • Lack of enterprise features support, such as high availability options.

  • Limited to one CPU.

  • One gigabyte (GB) memory limit for the buffer pool.

  • Databases have a 10 GB maximum size.

Because of the limitations of SQL Server 2008 Express R2 SP1 Edition, if you have to support a server farm configuration, a multi-processor computer, or if you expect to scale up to a larger or more robust system, choose the Complete installation option.

A Stand-alone installation option is the best choice when you need:

  • A small-scale installation.

  • A development or test environment.

  • An environment to evaluate features of the product.

Caution:

A Stand-alone installation cannot be converted to a server farm installation or used with SQL Server. If you anticipate needing to use multiple servers in a server farm in the future, choose the Complete installation. If you choose Standalone installation now, and later you want to change to a server farm, you must uninstall and then reinstall with the Complete installation type.

Non-English Stand-alone installation

Installing SharePoint 2013 Products as a stand-alone in a language other than English requires SQL Server 2008 Express R2 SP1 in the same language as the language pack that you will install for SharePoint 2013 Products. You must manually install a non-English version of SQL Server 2008 Express before you install SharePoint 2013 Products.

To install a non-English version of SQL Server 2008 Express R2 SP1

  1. Click the Close button to cancel setup, and then click Close to exit Setup.

  2. Download and install SQL Server 2008 Express R2 SP1 in the language that you want from the Download Center.

  3. In the SQL Server 2008 R2 Setup, on the Instance Configuration screen, select the Named instance check box to create a new named instance, and then name it "SHAREPOINT".

  4. Complete the SQL Server 2008 R2 Setup.

  5. Run SharePoint setup.exe and choose a Stand-alone installation.

    SharePoint 2013 Products will connect to the version SQL Server 2008 Express that you installed.


Configuration failure during removal

When you choose Uninstall from Uninstall or change a program, the Setup Wizard starts and attempts to uninstall the product. If an error is encountered, the uninstall process will not complete and the error will be noted in the setup log file.

Note:

The setup log file is stored in the temp directory for the user account that is running setup (%USERTEMP% or %WINDIR%\Users\user account\AppData\Local\Temp) and is named "SharePoint Server Setup (YYYYMMDDHHMMSSrandomnumber).log" where YYYYMMDD is the date and HHMMSS is the time (hours in 24-hour clock format, minutes, seconds, and milliseconds) and the random number is used to differentiate between possible simultaneous attempts to run the setup program.

You can review the log file for error messages. After you understand why the error occurred, you can address the issue, and then you can choose to either stop the uninstall process, address the problem, and then run Uninstall again, or you can continue the uninstall process.

If you exit Setup when an error is encountered, the binary files will not be removed. However, tasks that were successfully completed will not be undone. This approach will enable you to restore the server to working condition by running the configuration wizard in Repair mode.

If you choose to continue with the uninstall process, the binary files will be removed. The resulting state of the computer will depend on when the configuration wizard failed. For example, the computer might still:

  • Be joined to the server farm.

  • Be registered in the configuration database and the connection string on the local computer could exist.

  • Include services that are running.

With the binary files removed, you will not be able to use the configuration wizard to clean up the configuration settings on the local computer or in the configuration database.


How to: Start the SharePoint Products Configuration wizard

You can start the SharePoint Products Configuration Wizard at any time after you have completed the Setup Wizard.

To run the SharePoint Products Configuration Wizard

  1. Click Start, point to All Programs, click Microsoft SharePoint 2013 Products, and then click SharePoint 2013 Products Configuration Wizard.


Change your installation

You can use the SharePoint Products Configuration Wizard to repair and uninstallSharePoint 2013 Products.

Repair

You can use Repair to overwrite changed or damaged files and registry settings.

For example, you can use Repair if a registry entry has been overwritten and you need to return to the default setting.

When you repair an installation, the files that were installed are verified, missing components are detected, and then the configuration is repaired.

Note:

If you have applied any software updates, such as a service pack, you can still repair your installation. However, only original files will be repaired, and not files that have been updated with newer versions.

Remove

You can use Remove to uninstall SharePoint 2013 Products. Uninstalling removes most files and subfolders located in the installation folders. SQL Server databases are detached, but are not removed completely from the database server. When you remove SharePoint 2013 Products, all user data is left in the database files. The Remove option removes the web servers and application servers, but not the database servers in the farm. To remove a database server from a farm, you must first move any databases that are hosted by that server to another database server in the farm. You can then use Central Administration to remove the database server.


Enter your Product Key

Type or paste in the 25-character Product Key. The Product Key may be located in one of the following locations:

  • Sticker on the DVD case or other packaging

  • Certificate of Authenticity

  • Confirmation e-mail message received from an online purchase

Important:

Do not lose your Product Key. Keep the packaging, or write the number down and keep it in a safe place.


Read the Microsoft Software License Terms

The Microsoft Software License Terms define the legal conditions under which you can use your software. In Setup, select the I accept the terms of this agreement check box to enable the Continue button.


Setup.exe command-line switches for SharePoint Products

In SharePoint products, the Setup.exe command-line tool is used for very few operations, and almost all of these are for IT administrators only.

In this article

  • How to use a Setup.exe command-line switch

  • Available switches and parameters

  • Run Setup.exe with a Config.xml file at a command prompt

How to use a Setup.exe command-line switch

When you run Setup.exe from the command line, you can specify switches and parameters to provide specific instructions that give the program more information about how to execute the command. The table in the next section contains several examples of switches.

Available switches and parameters

In SharePoint products, Setup.exe recognizes the following command-line options:

Switch or parameter Description

/config [path and file name]

Specifies the configuration file that Setup.exe uses during the installation. By default, the Config.xml file stored in the core product folder directs Setup.exe to install that product. You can edit the Config.xml file to make additional customizations to the installation or you can point to a different configuration file.

Use /config on the Setup command line to point to the location of the default Config.xml file for a particular product or to point to a custom configuration file.

Examples

To point to a customized config.xml file:

\\server\share\setup.exe /config

\\server\share\folder\Config.xml

where folder is the folder that contains the Config.xml file. Or, to point to a different configuration file:

\\server\share\setup.exe /config

\\server\share\configfiles\oserver-quiet.xml

Note:

You must use a full path. Setup.exe does not recognize relative paths that contain /config.

/modify [ ProductID ]

Used with a modified Config.xml file to run Setup.exe in maintenance mode and make changes to an existing SharePoint installation, such as adding or removing features. Look up the value of [ProductID] in the Setup.xml file for the product you want to modify. The Setup.xml file is located in the core product folder. In Setup.xml, [ProductID] is equal to the value of the Id attribute of the Setup element. For example:

Copy code
- <Setup Id="OServer" Type="Product" ProductCode="{40120000-110D-0000-0000-0000000FF1CE}">

Examples

\\server\share\setup.exe /modify OServer /config

\\server\share\folder\AddConfig.xml

/repair [ ProductID ]

Runs Setup.exe to repair the files that are needed for a specified product. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify. Running Setup.exe in repair mode only affects the program files, and does not repair your server configuration or any sites.

Note:

You should also run the SharePoint Products Configuration Wizard after you run Setup.exe /repair to complete the repair of the configuration. If you are using a stand-alone configuration, you can run Psconfig.exe -setup from a command line to repair the configuration instead of using the wizard. If you are in a server farm configuration, you should use the full wizard interface. For more information, see the Help for the SharePoint Products Configuration Wizard.

Example

\\server\share\setup.exe /repair OServer

/uninstall [ ProductID ]

Removes the specified product from the user's computer. Look up the value of [ProductID] in the Setup.xml file for the product that you want to modify.

Example

\\server\share\setup.exe /uninstall OServer

Run Setup.exe with a Config.xml file at a command prompt

Running Setup.exe with a configuration file enables you to specify configuration choices (such as a data location or server role) during a quiet installation.

For example, you can use the config.xml file for the following tasks:

  • Perform a silent installation.

  • Install by using a common configuration across multiple servers.

  • Perform an automated or scripted install.

Use the following procedure to run Setup.exe with a configuration file (Config.xml file) at a command prompt.

To run Setup.exe with a configuration file

  1. On the drive which contains the product DVD, change to the root directory to locate the Setup.exe file.

  2. Run Setup.exe with the selected Config.xml file.

    Copy code
    setup /config <path and file name>
    Note:

    You can select one of the example files that is included in the SharePoint 2013 Products product DVD, or customize your own configuration file.

  3. Press ENTER.